MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025294Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-30 17:112014-11-12 08:59
Reporterduv 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025294: Visualization, PrsMgr_Presentation - detach connected presentations on destruction
DescriptionWhen presentation is not explicitly erased, but naturally destructed, Graphic3d_Structure::DisconnectAll() is not called.

Being destructed in bad order would lead to access violations in OpenGl_Structure::UnregisterFromAncestorStructure().
Steps To Reproduce
pload ALL
vinit
box b 1 1 1
vdisplay b
vconnect z 2 0 0 b
vfit


Then close DRAW console window - random crash (depending on objects layout in unordered map).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033288)
git (administrator)
2014-10-17 19:14

Branch CR25294 has been created by kgv.

SHA-1: a6ceef86a4429e62c5698971aa7306d594998fa6


Detailed log of new commits:

Author: kgv
Date: Fri Oct 17 19:14:32 2014 +0400

    0025294: Visualization, PrsMgr_Presentation - detach connected presentations on destruction
(0033289)
kgv (developer)
2014-10-17 19:15

Patch is ready for review in branch CR25294.
(0033310)
duv (developer)
2014-10-20 10:23

Dear bugmaster,

The patch is ready for testing.
(0033510)
mkv (tester)
2014-10-21 18:05

Dear BugMaster,
Branch CR25294 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a6ceef86a4429e62c5698971aa7306d594998fa6

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368543804 / 368554036
Total CPU difference: 45381.13999999991 / 44540.81000000001
products component :
Total MEMORY difference: 124937352 / 125212584
Total CPU difference: 16503.65999999998 / 17169.099999999973

Testing on Windows:
occt component :
Total MEMORY difference: 253921468 / 252953496
Total CPU difference: 38094.59375 / 34935.15625
products component :
Total MEMORY difference: 76335216 / 70340520
Total CPU difference: 11742.96875 / 11351.90625

There are no differences in images found by testdiff.
(0034258)
git (administrator)
2014-11-12 08:59

Branch CR25294 has been deleted by kgv.

SHA-1: a6ceef86a4429e62c5698971aa7306d594998fa6

- Related Changesets
occt: master a69a08ee
Timestamp: 2014-10-17 15:14:32
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025294: Visualization, PrsMgr_Presentation - detach connected presentations on destruction
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-30 17:11 duv New Issue
2014-09-30 17:11 duv Assigned To => duv
2014-10-17 19:12 kgv Product Version 6.8.0 =>
2014-10-17 19:12 kgv Summary Draw crashes then closed if any connected objects present in view => Visualization - PrsMgr_Presentation destructor does not detach connected presentations
2014-10-17 19:12 kgv Description Updated View Revisions
2014-10-17 19:12 kgv Steps to Reproduce Updated View Revisions
2014-10-17 19:13 kgv Summary Visualization - PrsMgr_Presentation destructor does not detach connected presentations => Visualization, PrsMgr_Presentation - detach connected presentations on destruction
2014-10-17 19:14 git Note Added: 0033288
2014-10-17 19:15 kgv Note Added: 0033289
2014-10-17 19:15 kgv Status new => resolved
2014-10-20 10:23 duv Note Added: 0033310
2014-10-20 10:23 duv Assigned To duv => bugmaster
2014-10-20 10:23 duv Status resolved => reviewed
2014-10-20 11:26 mkv Assigned To bugmaster => mkv
2014-10-21 18:05 mkv Note Added: 0033510
2014-10-21 18:05 mkv Test case number => Not needed
2014-10-21 18:05 mkv Assigned To mkv => bugmaster
2014-10-21 18:05 mkv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master a69a08ee
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 08:59 git Note Added: 0034258


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker